Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Kreis

    java.lang.Object
      Kreis

    public class Kreis

extends java.lang.Object

Erste Schritte mit JAVA Diese Klasse erzeugt bunte Kreisobjekte mit dem Radius radius und dem Mittelpunkt (x, y) sowie der Farbe mit der Nummer farbe

Version:
  (0.1)
Author:
  (Dr. Kiesmüller)

Constructor Summary
`Kreis(int r, int fn)` Konstruktor für Objekte der Klasse Kreis - nur Farbe und Radius sind wählbar Radius und Farbnummer sind als natürliche Zahlen anzugeben
`Kreis(int r, int x, int y, int fn)` Konstruktor für Objekte der Klasse Kreis Radius, x- und y-Koordinate des Mittelpunkts und die Farbnummer sind als natürliche Zahlen anzugeben

Method Summary
`int` | `gibFarbe()` Methode zur Bekanntgabe der Farbnummer
`int` | `gibRadius()` Methode zur Bekanntgabe des Radius
`int` | `gibX()` Methode zur Bekanntgabe der x-Koordinate des Mittelpunkts
`int` | `gibY()` Methode zur Bekanntgabe der y-Koordinate des Mittelpunkts
`void` | `setzeX(int x)` Methode zur Festlegung der x-Koordinate des Mittelpunkts
`void` | `setzeY(int y)` Methode zur Festlegung der y-Koordinate des Mittelpunkts

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kreis

    public Kreis(int r,
                 int fn)

  Konstruktor für Objekte der Klasse Kreis - nur Farbe und Radius sind wählbar Radius und Farbnummer sind als natürliche Zahlen anzugeben

### Kreis

    public Kreis(int r,
                 int x,
                 int y,
                 int fn)

  Konstruktor für Objekte der Klasse Kreis Radius, x- und y-Koordinate des Mittelpunkts und die Farbnummer sind als natürliche Zahlen anzugeben

Method Detail

### gibFarbe

    public int gibFarbe()

  Methode zur Bekanntgabe der Farbnummer

  Returns:
    farbe Farbnummer der Farbe des Kreises

### gibRadius

    public int gibRadius()

  Methode zur Bekanntgabe des Radius

  Returns:
    radius Wert des Radius

### gibX

    public int gibX()

  Methode zur Bekanntgabe der x-Koordinate des Mittelpunkts

  Returns:
    x x-Koordinate des Mittelpunkts

### gibY

    public int gibY()

  Methode zur Bekanntgabe der y-Koordinate des Mittelpunkts

  Returns:
    y y-Koordinate des Mittelpunkts

### setzeX

    public void setzeX(int x)

  Methode zur Festlegung der x-Koordinate des Mittelpunkts

  Parameters:
    `x` - x-Koordinate des Mittelpunkts

### setzeY

    public void setzeY(int y)

  Methode zur Festlegung der y-Koordinate des Mittelpunkts

  Parameters:
    `y` - y-Koordinate des Mittelpunkts

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD